set term png medium size 6400,1200 enhanced font "Helvitica" 14
set output "out/all.png"

set datafile missing "-"
set xlabel "Date"
set timefmt "%s"
set format x "%Y-%m-%d"
# set format x "%Y-%m-%d %H:%M:%S"
set xdata time
# set xtics rotate by 45 offset -0.8,-1.8
set xtics autofreq

set ylabel "River level (m)"
set grid y

set key outside bottom center horizontal
set label 11 left at graph 0,char 1 "Data from Environment Agency processed via mafoo.org.uk" font ",12"

set title "River Levels in East Kent"
plot \
    "data.tsv" using 1:2 with linespoints title "East Stour Trib  Great Stour at Aldington Upstream", \
    "data.tsv" using 1:3 with linespoints title "Great Stour at Horton weir", \
    "data.tsv" using 1:4 with linespoints title "Great Stour at Chart Leacon", \
    "data.tsv" using 1:5 with linespoints title "Great Stour at Vauxhall Bridge", \
    "data.tsv" using 1:6 with linespoints title "Great Stour at Brown Mill", \
    "data.tsv" using 1:7 with linespoints title "Great Stour at Hothfield Upstream", \
    "data.tsv" using 1:8 with linespoints title "Great Stour at GroveFerry", \
    "data.tsv" using 1:9 with linespoints title "Great Stour at Wye", \
    "data.tsv" using 1:10 with linespoints title "Little Stour Trib  Great Stour at Littlebourne", \
    "data.tsv" using 1:11 with linespoints title "Nail Bourne Tributary Little Stour at Bekesbourne", \
    "data.tsv" using 1:12 with linespoints title "Old Mill Stream Tributary  East Stour at Aylesford Stream", \
    "data.tsv" using 1:13 with linespoints title "White Water Dyke Tributary  East Stour at White Water Dyke", \
    "data.tsv" using 1:14 with linespoints title "Beult at Stilebridge", \
    "data.tsv" using 1:15 with linespoints title "Beult at Smarden", \
    "data.tsv" using 1:16 with linespoints title "Bourne Tributary  Medway at Hadlow", \
    "data.tsv" using 1:17 with linespoints title "Eden Tributary  Medway at Vexour Bridge", \
    "data.tsv" using 1:18 with linespoints title "Eden Tributary  Medway at Edenbridge", \
    "data.tsv" using 1:19 with linespoints title "Eridge Stream Tributary  Medway at Hendal Bridge", \
    "data.tsv" using 1:20 with linespoints title "Medway at East Farleigh Gate Upstream", \
    "data.tsv" using 1:21 with linespoints title "Medway at Chafford", \
    "data.tsv" using 1:22 with linespoints title "Medway at Colliers Land Bridge", \
    "data.tsv" using 1:23 with linespoints title "Medway at Forest Row", \
    "data.tsv" using 1:24 with linespoints title "Medway at Hartlake Bridge", \
    "data.tsv" using 1:25 with linespoints title "Medway at Maidstone", \
    "data.tsv" using 1:26 with linespoints title "Medway at Allington Marina", \
    "data.tsv" using 1:27 with linespoints title "Medway at Town Lock", \
    "data.tsv" using 1:28 with linespoints title "Medway at Teston", \
    "data.tsv" using 1:29 with linespoints title "Medway at Summerford Bridge", \
    "data.tsv" using 1:30 with linespoints title "Teise at Stonebridge", \
    "data.tsv" using 1:31 with linespoints title "Teise at Lamberhurst", \
    "data.tsv" using 1:32 with linespoints title "Medway at Leigh Barrier Upstream", \
    "data.tsv" using 1:33 with linespoints title "Medway at Allington Lock"

### Stour
set output "out/stour.png"
set title "River Levels for Great Stour basin"
plot \
    "data.tsv" using 1:2 with linespoints title "East Stour Trib  Great Stour at Aldington Upstream", \
    "data.tsv" using 1:3 with linespoints title "Great Stour at Horton weir", \
    "data.tsv" using 1:4 with linespoints title "Great Stour at Chart Leacon", \
    "data.tsv" using 1:5 with linespoints title "Great Stour at Vauxhall Bridge", \
    "data.tsv" using 1:6 with linespoints title "Great Stour at Brown Mill", \
    "data.tsv" using 1:7 with linespoints title "Great Stour at Hothfield Upstream", \
    "data.tsv" using 1:8 with linespoints title "Great Stour at GroveFerry", \
    "data.tsv" using 1:9 with linespoints title "Great Stour at Wye", \
    "data.tsv" using 1:10 with linespoints title "Little Stour Trib  Great Stour at Littlebourne", \
    "data.tsv" using 1:11 with linespoints title "Nail Bourne Tributary Little Stour at Bekesbourne", \
    "data.tsv" using 1:12 with linespoints title "Old Mill Stream Tributary  East Stour at Aylesford Stream", \
    "data.tsv" using 1:13 with linespoints title "White Water Dyke Tributary  East Stour at White Water Dyke", \

### Medway
set output "out/medway.png"
set title "River Levels for Medway basin"
plot \
    "data.tsv" using 1:14 with linespoints title "Beult at Stilebridge", \
    "data.tsv" using 1:15 with linespoints title "Beult at Smarden", \
    "data.tsv" using 1:17 with linespoints title "Eden Tributary  Medway at Vexour Bridge", \
    "data.tsv" using 1:18 with linespoints title "Eden Tributary  Medway at Edenbridge", \
    "data.tsv" using 1:19 with linespoints title "Eridge Stream Tributary  Medway at Hendal Bridge", \
    "data.tsv" using 1:20 with linespoints title "Medway at East Farleigh Gate Upstream", \
    "data.tsv" using 1:21 with linespoints title "Medway at Chafford", \
    "data.tsv" using 1:22 with linespoints title "Medway at Colliers Land Bridge", \
    "data.tsv" using 1:23 with linespoints title "Medway at Forest Row", \
    "data.tsv" using 1:24 with linespoints title "Medway at Hartlake Bridge", \
    "data.tsv" using 1:25 with linespoints title "Medway at Maidstone", \
    "data.tsv" using 1:26 with linespoints title "Medway at Allington Marina", \
    "data.tsv" using 1:27 with linespoints title "Medway at Town Lock", \
    "data.tsv" using 1:28 with linespoints title "Medway at Teston", \
    "data.tsv" using 1:29 with linespoints title "Medway at Summerford Bridge", \
    "data.tsv" using 1:30 with linespoints title "Teise at Stonebridge", \
    "data.tsv" using 1:31 with linespoints title "Teise at Lamberhurst", \
    "data.tsv" using 1:32 with linespoints title "Medway at Leigh Barrier Upstream", \
    "data.tsv" using 1:33 with linespoints title "Medway at Allington Lock"

### Canterbury
set term png medium size 3600,800 enhanced font "Helvitica" 14
set timefmt "%Y-%m-%dT%H:%M"
set output "out/canterbury.png"

set title "River Levels around Canterbury"
plot \
	"< ./getall.sh 1145" using 1:2 with linespoints title "Great Stour at Wye", \
	"< ./getall.sh 1135" using 1:2 with linespoints title "Great Stour at Horton weir", \
        "< ./getall.sh 9274" using 1:2 with linespoints title "Great Stour at Westgate Gardens", \
	"< ./getall.sh 1143" using 1:2 with linespoints title "Great Stour at Vauxhall Bridge"
	# "data.tsv" using 1:($5-$3) with linespoints title "Difference" axes x1y2


### Canterbury recent
set timefmt "%Y-%m-%dT%H:%M"
set term png medium size 3600,800 enhanced font "Helvitica" 14
set output "out/canterbury-recent.png"

set title "River Levels around Canterbury in last 3 months"
plot \
        "< ./getlast3mo.sh 1145" using 1:2 with linespoints title "Great Stour at Wye", \
        "< ./getlast3mo.sh 1135" using 1:2 with linespoints title "Great Stour at Horton weir", \
        "< ./getlast3mo.sh 9274" using 1:2 with linespoints title "Great Stour at Westgate Gardens", \
        "< ./getlast3mo.sh 1143" using 1:2 with linespoints title "Great Stour at Vauxhall Bridge"

### Chartham
set term png medium size 3600,800 enhanced font "Helvitica" 14
set timefmt "%Y-%m-%dT%H:%M"
set output "out/chartham.png"

set title "River Levels at Chartham"
plot \
	"< ./getall.sh 1135" using 1:2 with linespoints title "Great Stour at Horton weir", \
	# "data.tsv" using 1:($5-$3) with linespoints title "Difference" axes x1y2
### Horton weir recent
set timefmt "%Y-%m-%dT%H:%M"
set term png medium size 3600,800 enhanced font "Helvitica" 14
set output "out/chartham-recent.png"

set title "River Levels at Chartham in last 3 months"
plot \
        "< ./getlast3mo.sh 1135" using 1:2 with linespoints title "Great Stour at Horton weir", \
